﻿using System;
using System.Windows.Forms;
using Infragistics.Win.UltraWinEditors;

namespace WindowsFormsApplication26
{
    public partial class Form1 : Form
    {
        
       public const char replacementChar = 'R';



        /// <summary>
        /// 
        /// </summary>
        public Form1()
        {
          InitializeComponent();

          this.ultraMaskedEdit1.InputMask  = string.Format("nnn{0}{0}", replacementChar);
          this.ultraMaskedEdit1.DrawFilter = new MaskedEditDrawFilter();

          this.ultraMaskedEdit1.EditorSpinButtonClick += UltraMaskedEdit1_EditorSpinButtonClick;
        }



        /// <summary>
        /// 
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void UltraMaskedEdit1_EditorSpinButtonClick(object sender, SpinButtonClickEventArgs e)
         { 
         string text = this.ultraMaskedEdit1.GetText(Infragistics.Win.UltraWinMaskedEdit.MaskMode.Raw);
         int initialValue = 0;
         if( false == string.IsNullOrEmpty(text) )
           initialValue = int.Parse(text);

         switch( e.ButtonType )
           {
           case SpinButtonItem.NextItem:
             { 
             this.ultraMaskedEdit1.Value = initialValue + 1;
             }
             break;

           case SpinButtonItem.PreviousItem:
             {
             this.ultraMaskedEdit1.Value = initialValue - 1;
             }
             break;

           }
         }




        /// <summary>
        /// 
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void Form1_Load(object sender, EventArgs e)
        {
          this.ultraMaskedEdit1.Text = "123";  
        }
    }
}
